[SCM] Samba Shared Repository - branch master updated - f4f477f4320835245d5d45546a7dee8dc1f4100c

Michael Adam obnox at samba.org
Wed Dec 10 22:29:05 GMT 2008


The branch, master has been updated
       via  f4f477f4320835245d5d45546a7dee8dc1f4100c (commit)
       via  e0a0b0a0cb3db426d05b641e1fa43d9e7f28ab71 (commit)
      from  94c44fcb6b9c67d3fac39b290c05c718b2980443 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit f4f477f4320835245d5d45546a7dee8dc1f4100c
Author: Michael Adam <obnox at samba.org>
Date:   Mon Dec 1 03:05:40 2008 +0100

    packaging(RHEL-CTDB): explicitly build the gpfs module
    
    to prevent potetential problems on PTF8 systems where there
    is no valid autodetecting configure check yet.
    
    Michael
    (cherry picked from commit 37039d345e9a25654bef038f2b8bb4b891cfa6f0)
    
    Signed-off-by: Michael Adam <obnox at samba.org>

commit e0a0b0a0cb3db426d05b641e1fa43d9e7f28ab71
Author: Michael Adam <obnox at samba.org>
Date:   Thu Sep 18 05:02:14 2008 +0200

    packaging(RHEL-CTDB): adapt configure.rpm to changes to the spec file
    
    Michael
    (cherry picked from commit d249a9ca2a1761f20655cbcfe39fbc942547974d)
    
    Signed-off-by: Michael Adam <obnox at samba.org>

-----------------------------------------------------------------------

Summary of changes:
 packaging/RHEL-CTDB/configure.rpm   |   68 +++++++++++++++++++++++------------
 packaging/RHEL-CTDB/samba.spec.tmpl |    2 +-
 2 files changed, 46 insertions(+), 24 deletions(-)


Changeset truncated at 500 lines:

diff --git a/packaging/RHEL-CTDB/configure.rpm b/packaging/RHEL-CTDB/configure.rpm
index 7596040..b9a1ee1 100755
--- a/packaging/RHEL-CTDB/configure.rpm
+++ b/packaging/RHEL-CTDB/configure.rpm
@@ -1,37 +1,56 @@
+#!/bin/sh
 
 case `uname -m` in
-     x86_64)
-	libdir=/usr/lib64/samba
-	;;
-     *)
-	libdir=/usr/lib/samba
-	;;
+	x86_64)
+		_libarch=lib64
+		;;
+	*)
+		_libarch=lib
+		;;
 esac
 
-CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure \
-        --prefix=/usr \
-        --localstatedir=/var \
-        --with-configdir=/etc/samba \
-        --with-libdir=$libdir \
-        --with-lockdir=/var/lib/samba \
-        --with-logfilebase=/var/log/samba \
-        --with-mandir=/usr/man \
-        --with-piddir=/var/run \
-        --with-privatedir=/etc/samba \
-        --with-sambabook=/usr/share/swat/using_samba \
-        --with-swatdir=/usr/share/swat \
+_libarchdir=/usr/${_libarch}
+
+_prefix=/usr
+_sysconfdir=/etc
+_mandir=/usr/man
+_datadir=/usr/share
+
+# check for ccache
+ccache -h 2>&1 > /dev/null
+if [ $? -eq 0 ]; then
+	CC="ccache gcc"
+else
+	CC="gcc"
+fi
+
+./autogen.sh
+
+CC="$CC" CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure -C \
+	--prefix=${_prefix} \
+	--localstatedir=/var \
+	--with-configdir=${_sysconfdir}/samba \
+	--with-libdir=${_libarchdir}/samba \
+	--with-pammodulesdir=/${_libarch}/security \
+	--with-lockdir=/var/lib/samba \
+	--with-logfilebase=/var/log/samba \
+	--with-mandir=${_mandir} \
+	--with-piddir=/var/run \
+	--with-privatedir=${_sysconfdir}/samba \
+	--with-sambabook=${_datadir}/swat/using_samba \
+	--with-swatdir=${_datadir}/swat \
 	--disable-cups \
-        --with-acl-support \
+	--with-acl-support \
 	--with-ads \
-        --with-automount \
-        --with-fhs \
+	--with-automount \
+	--with-fhs \
 	--with-pam_smbpass \
 	--with-libsmbclient \
 	--with-libsmbsharemodes \
-        --without-smbwrapper \
+	--without-smbwrapper \
 	--with-pam \
 	--with-quotas \
-	--with-shared-modules=idmap_rid,idmap_ad,idmap_tdb2 \
+	--with-shared-modules=idmap_rid,idmap_ad,idmap_tdb2,vfs_gpfs \
 	--with-syslog \
 	--with-utmp \
 	--with-cluster-support \
@@ -40,3 +59,6 @@ CFLAGS="-Wall -g -D_GNU_SOURCE" ./configure \
 	--without-dnsupdate \
 	--with-aio-support \
 	$*
+
+make showlayout
+
diff --git a/packaging/RHEL-CTDB/samba.spec.tmpl b/packaging/RHEL-CTDB/samba.spec.tmpl
index b34f01f..910fe37 100644
--- a/packaging/RHEL-CTDB/samba.spec.tmpl
+++ b/packaging/RHEL-CTDB/samba.spec.tmpl
@@ -167,7 +167,7 @@ CFLAGS="$RPM_OPT_FLAGS $EXTRA -D_GNU_SOURCE" ./configure \
         --without-smbwrapper \
 	--with-pam \
 	--with-quotas \
-	--with-shared-modules=idmap_rid,idmap_ad,idmap_tdb2 \
+	--with-shared-modules=idmap_rid,idmap_ad,idmap_tdb2,vfs_gpfs \
 	--with-syslog \
 	--with-utmp \
 	--with-cluster-support \


-- 
Samba Shared Repository


More information about the samba-cvs mailing list